## org.eclipse.emf.edit.ui.provider
Class PropertySource

    java.lang.Object
      org.eclipse.emf.edit.ui.provider.PropertySource

All Implemented Interfaces:
  IPropertySource

    public class PropertySource

extends java.lang.Object
implements IPropertySource

This is used to encapsulate an `IItemPropertySource` along with the object for which it is an item property source and make it behave like an `IPropertySource`.

Field Summary
`protected IItemPropertySource` `itemPropertySource` This is the descriptor to which we will delegate all the `IPropertySource` methods.
`protected java.lang.Object` `object` This is the object for which this class is a property source.

Constructor Summary
`PropertySource(java.lang.Object object, IItemPropertySource itemPropertySource)` An instance is constructed from an object and its item property source.

Method Summary
`protected IPropertyDescriptor` `createPropertyDescriptor(IItemPropertyDescriptor itemPropertyDescriptor)`
`java.lang.Object` `getEditableValue()` This delegates to `IItemPropertySource.getEditableValue`.
`IPropertyDescriptor[]` `getPropertyDescriptors()` This delegates to `IItemPropertySource.getPropertyDescriptors`.
`java.lang.Object` `getPropertyValue(java.lang.Object propertyId)` This delegates to `IItemPropertyDescriptor.getPropertyValue`.
`boolean` `isPropertySet(java.lang.Object propertyId)` This delegates to `IItemPropertyDescriptor.isPropertySet`.
`void` `resetPropertyValue(java.lang.Object propertyId)` This delegates to `IItemPropertyDescriptor.resetPropertyValue`.
`void` `setPropertyValue(java.lang.Object propertyId, java.lang.Object value)` This delegates to `IItemPropertyDescriptor.setPropertyValue`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### object

    protected java.lang.Object object

  This is the object for which this class is a property source.

### itemPropertySource

    protected IItemPropertySource itemPropertySource

  This is the descriptor to which we will delegate all the `IPropertySource` methods.

Constructor Detail

### PropertySource

    public PropertySource(java.lang.Object object,
                          IItemPropertySource itemPropertySource)

  An instance is constructed from an object and its item property source.

Method Detail

### getEditableValue

    public java.lang.Object getEditableValue()

  This delegates to `IItemPropertySource.getEditableValue`.

  Specified by:
    `getEditableValue` in interface `IPropertySource`

### getPropertyDescriptors

    public IPropertyDescriptor[] getPropertyDescriptors()

  This delegates to `IItemPropertySource.getPropertyDescriptors`.

  Specified by:
    `getPropertyDescriptors` in interface `IPropertySource`

### createPropertyDescriptor

    protected IPropertyDescriptor createPropertyDescriptor(IItemPropertyDescriptor itemPropertyDescriptor)

### getPropertyValue

    public java.lang.Object getPropertyValue(java.lang.Object propertyId)

  This delegates to `IItemPropertyDescriptor.getPropertyValue`.

  Specified by:
    `getPropertyValue` in interface `IPropertySource`

### isPropertySet

    public boolean isPropertySet(java.lang.Object propertyId)

  This delegates to `IItemPropertyDescriptor.isPropertySet`.

  Specified by:
    `isPropertySet` in interface `IPropertySource`

### resetPropertyValue

    public void resetPropertyValue(java.lang.Object propertyId)

  This delegates to `IItemPropertyDescriptor.resetPropertyValue`.

  Specified by:
    `resetPropertyValue` in interface `IPropertySource`

### setPropertyValue

    public void setPropertyValue(java.lang.Object propertyId,
                                 java.lang.Object value)

  This delegates to `IItemPropertyDescriptor.setPropertyValue`.

  Specified by:
    `setPropertyValue` in interface `IPropertySource`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.